﻿@model List<Infraestrutura.ViewModels.AdminInscriçãoMinecraftViewModel<Infraestrutura.Modelos.CadastroModelo>>

<h1 class="display-4">Inscrições</h1>

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Nome</th>
            <th scope="col">Ações</th>
            <th scope="col">Status</th>
        </tr>
    </thead>
    <tbody>
        @for (int i = 1; i <= Model.Count; i++)
        {
        <tr>
            <th scope="row">@i</th>
            <td>@Model[i-1].Nome</td>
            <td><a class="btn btn-success" asp-controller="AdminAnalisar" asp-action="AnalisarMinecraft" asp-route-id="@Model[i-1].Id">Analisar Inscrição</a></td>
            <td><span class="badge @Model[i-1].ClasseStatus">@Model[i-1].Status</span></td>
        </tr>
        }
    </tbody>
</table>